import os
import sys

SCRIPT_DIR = os.path.dirname(os.path.abspath(__file__))
sys.path.append(os.path.dirname(SCRIPT_DIR))

from common.helpers import replace

STANDBY_UPDATE_SERVER = '%standby_update_server%'
UPDATE_SERVER = '%update_server%'
SENTRY_DSN = '%sentry_dsn%'
RELEASE_VERSION = '%release_version%'
RELEASE_TYPE = '%release_type%'
ORGANIZATION_KEY = '%organization_key%'

ELK_URL = '%elk_url%'
PLUGIN_PROJECT_NAME = '%plugin_project_name%'

if __name__ == "__main__":
    print(sys.argv)

    for key, value in os.environ.items():
        try:
            print("'{}': '{}'".format(key, value))
        except:
            #
            pass

    const_file_path = os.environ['CONST_FILE_PATH']

    standby_update_server = os.environ['standby_update_server']
    update_server = os.environ['update_server']
    sentry_dsn = os.environ['SENTRY_DSN']
    release_version = os.environ['release_version']
    release_type = os.environ['release_type']
    organization_key = os.environ['organization_key']

    # Сi variables value insertion
    replace(const_file_path, STANDBY_UPDATE_SERVER, standby_update_server)
    replace(const_file_path, UPDATE_SERVER, update_server)
    replace(const_file_path, SENTRY_DSN, sentry_dsn)
    replace(const_file_path, RELEASE_VERSION, release_version)
    replace(const_file_path, RELEASE_TYPE, release_type)
    replace(const_file_path, ORGANIZATION_KEY, organization_key)
